Page MenuHomePhabricator

Automate updating deployment notes
Closed, ResolvedPublic

Description

The deployment notes are something that the deployer of the train is responsible for week-to-week. The steps for generating and uploading these notes are on https://wikitech.wikimedia.org/wiki/Heterogeneous_deployment/Train_deploys#Update_deploy_notes

Ideally, we'd watch core for new branches and commits on wmf/* branches and update the deployment notes for those branches automagically.

Event Timeline

Vvjjkkii renamed this task from Automate updating deployment notes to jkbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
thcipriani raised the priority of this task from High to Needs Triage.Jul 1 2018, 7:38 PM
thcipriani added a subscriber: Aklapper.
thcipriani renamed this task from jkbaaaaaaa to Automate updating deployment notes.Jul 1 2018, 7:38 PM
thcipriani updated the task description. (Show Details)
dduvall triaged this task as Medium priority.Oct 22 2018, 4:59 PM
thcipriani closed this task as Resolved.May 8 2019, 5:43 PM

As of 1.34.0-wmf.4 this is working! https://www.mediawiki.org/wiki/MediaWiki_1.34/wmf.4/Changelog was generated by jenkins with no manual steps other than cutting the branch.

thcipriani reopened this task as Open.Mar 3 2020, 7:46 PM
thcipriani removed thcipriani as the assignee of this task.

This automation has been broken for a bit now, reopening.

What we already know: zuul doesn't trigger jobs for this:

[thcipriani@contint1001 ~]$ zuul enqueue --trigger gerrit --pipeline post --project mediawiki/core --change 576318,1
/var/log/zuu/debug.log
2020-03-03 20:04:20,435 DEBUG zuul.MergeClient: Submitting job <gear.Job 0x7fae36ceb790 handle: None name: merger:merge unique: 7cab769d6e514b98a3fe2e4
76a6fd798> with data {'items': [{'oldrev': None, 'newrev': None, 'refspec': u'refs/changes/18/576318/1', 'merge_mode': 2, 'number': '576318', 'connecti
on_name': 'gerrit', 'project': 'mediawiki/core', 'url': 'ssh://jenkins-bot@gerrit.wikimedia.org:29418/mediawiki/core', 'branch': u'wmf/1.35.0-wmf.22', 
'patchset': 1, 'ref': 'Zd3a5bdf63a624d1e86362db06033ecd1'}]}                                                                                           
2020-03-03 20:04:20,437 DEBUG zuul.IndependentPipelineManager: Reporting change <Change 0x7fae2dd2e610 576318,1>                                       
2020-03-03 20:04:20,437 DEBUG zuul.IndependentPipelineManager: No jobs for change <Change 0x7fae2dd2e610 576318,1>                                     
2020-03-03 20:04:20,437 DEBUG zuul.IndependentPipelineManager: Removing change <Change 0x7fae2dd2e610 576318,1> from queue
hashar added a subscriber: hashar.Mar 3 2020, 8:16 PM

Got broken by 925a04a6ada4c39e067e78f45fb1247447f7d5ad / https://gerrit.wikimedia.org/r/#/c/integration/config/+/571849/ (T243330)

zuul/layout.yaml
job:
  - name: train-deploy-notes
    branch: ^wmf/
    files: 
      - '^includes/DefaultSettings\.php$'

The files is a filter to only trigger the job when a modified file matches. Change https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/576318/ does not touch includes/DefaultSettings.php, the job filter thus discard itself, the scheduler has nothing to run and it end up not doing anything for the change.

I guess this task can be resolved again and we can follow up on T243330

thcipriani closed this task as Resolved.Mar 3 2020, 9:59 PM
thcipriani claimed this task.

I guess this task can be resolved again and we can follow up on T243330

Ah! Lost that mental track of that one. Good call. Re-closing.